English   Русский

Compatible devices:
iPhone 3Gs, iPhone 4, iPhone 4S, iPod Touch, iPad, iPad2, The New iPad (3)

Minimal iOS version:
iOS 3.2+

Last version and date:
1.2.3 (2013-04-06)

Add to Google bookmarks Add to Facebook Add to Twitter Add to Yandex Bookmarks Add to Google - Buzz Add to MySpace Add to Blogger Add to Delicious Add to FriendFeed Add to Stumbleupon Add to Digg

Frequently Asked Question

  • What languages are supported?

    Currently the app supports the following language: English, Russian.

  • Can I translate in my language?

    If you want to see App in your language and/or complete/correct a translation, feel free to contact me.

  • How can I report problems or suggest improvements?

    Please use this contact form